#!/bin/bash

#
# This is the test runner for the dainto tests.  We start with a clean
# image file and configuration and ensure that it checks out properly
# with the client program.  Then, we perturb the image and ensure that
# failures are detected.
#
passed=0
failed=0
for t in `ls *.sh | grep -v check.sh`; do

	./$t
	if [ $? -eq 0 ]; then
		echo "$t: PASSED"
		((passed++))
	else
		echo "$t: FAILED"
		((failed++))
	fi
	((total++))
done

echo "$passed tests passed, $failed tests failed, $total tests run"
exit $failed
