#!/bin/bash

#
# copy testfile1 and perturb it to see if we detect the data corruption.
# the key is that we need to corrupt data that should be consistent on
# disk (not data in flight).
#
CLIENT=../dainto_client

cp testfile1 testfile2

# first, overwrite an entire block.  That should be easy to detect.
dd if=/dev/zero of=testfile2 bs=64K count=1 conv=notrunc

${CLIENT} -c config2
RET=$?

rm -f testfile2

# We expect this to fail, so if it succeeded, report a failure
if [ $RET -eq 0 ]; then
	exit 1
fi

exit 0
