#!/bin/bash

#
# Test that we properly detect a half-written page.  This exercises
# two bits of the code: 1) it verifies that the sliding window is
# interpreted properly and 2) it verifies that the crc check works.
#
# same test file as test 1, but we change the configuration to read
# that block 1408 has completed.  In this case, we should detect that
# there is corruption, since block 1408 is actually only partially
# written.
#
CLIENT=../dainto_client

${CLIENT} -c config3
if [ $? -eq 0 ]; then
	exit 1
fi

exit 0
